# Uses of Class
org.codehaus.plexus.util.cli.shell.Shell

Packages that use Shell
Package
Description
org.codehaus.plexus.util.cli
Command-line utilities.
org.codehaus.plexus.util.cli.shell
Shell utilities.

## Uses of Shell in org.codehaus.plexus.util.cli

Methods in org.codehaus.plexus.util.cli that return Shell
Modifier and Type
Method
Description
`Shell`
Commandline.`getShell()`
Get the shell to be used in this command line.
Methods in org.codehaus.plexus.util.cli with parameters of type Shell
Modifier and Type
Method
Description
`void`
Commandline.`setShell(Shell shell)`
Allows to set the shell to be used in this command line.
Constructors in org.codehaus.plexus.util.cli with parameters of type Shell
Modifier
Constructor
Description
``
`Commandline(String toProcess, Shell shell)`
Create a new command line object.
``
`Commandline(Shell shell)`
Create a new command line object.

## Uses of Shell in org.codehaus.plexus.util.cli.shell

Subclasses of Shell in org.codehaus.plexus.util.cli.shell
Modifier and Type
Class
Description
`class`
`BourneShell`
`class`
`CmdShell`
Implementation to call the CMD Shell present on Windows NT, 2000 and XP
`class`
`CommandShell`
Implementation to call the Command.com Shell present on Windows 95, 98 and Me